Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.jdbc.db
Class DSTimeFormat

    java.lang.Object
      com.novell.nds.dirxml.driver.jdbc.db.DSTimeFormat

public class DSTimeFormat
extends Object

An enumeration of directory time formats.

Field Summary
`static DSTimeFormat` | `DEFAULT`
`static DSTimeFormat` | `INT`
`static DSTimeFormat` | `JAVA`
`static DSTimeFormat` | `STRING`

Method Summary
`boolean` | `equals(String value)` Is this format equal to the passed `String` representation?
`static DSTimeFormat` | `GetFormat(String someSyntax)` Translates a `String` into its corresponding `DSTimeFormat` representation.
`int` | `hashCode()` Returns the hashcode of this instance.
`String` | `toString()` Returns the `String` representation of this instance.

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INT

    public static final DSTimeFormat INT

### STRING

    public static final DSTimeFormat STRING

### JAVA

    public static final DSTimeFormat JAVA

### DEFAULT

    public static final DSTimeFormat DEFAULT

Method Detail

### GetFormat

    public static DSTimeFormat GetFormat(String someSyntax)

  Translates a `String` into its corresponding `DSTimeFormat` representation.

  Parameters:
    `someSyntax` - may be `null`
  Returns:
    may return `null`

### toString

    public String toString()

  Returns the `String` representation of this instance.

  Returns:
    will not return `null`

### hashCode

    public int hashCode()

  Returns the hashcode of this instance.

  Returns:
    an integer value

### equals

    public boolean equals(String value)

  Is this format equal to the passed `String` representation?

  Returns:
    `true` if equal; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD